This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014216 - screen cannot handle Unicode characters above the BMP
screen cannot handle Unicode characters above the BMP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 10:21 EDT by Mike FABIAN
Modified: 2015-04-21 01:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 01:12:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen-above-bmp-test.txt (85 bytes, text/plain)
2013-10-01 10:21 EDT, Mike FABIAN
no flags Details
screen-above-bmp-does-not-work.png (74.59 KB, image/png)
2013-10-01 10:22 EDT, Mike FABIAN
no flags Details
screen-above-bmp-f22.png (241.79 KB, image/png)
2015-04-21 01:10 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-10-01 10:21:16 EDT
Created attachment 805996 [details]
screen-above-bmp-test.txt

- cat attached test file into a gnome-terminal:

  all characters are displayed correctly

- start a screen in the same gnome-terminal and cat the test
  file again:

  Only the characters from the BMP are  displayed correctly,
  for those above the BMP, replacement characters are shown.
Comment 1 Mike FABIAN 2013-10-01 10:22:55 EDT
Created attachment 805997 [details]
screen-above-bmp-does-not-work.png

Screenshot which shows that it works in gnome-terminal without
screen, but not in gnome-terminal with screen.
Comment 2 Mike FABIAN 2015-04-21 01:10:16 EDT
Created attachment 1016678 [details]
screen-above-bmp-f22.png

Works in Fedora 22 Beta.
Comment 3 Mike FABIAN 2015-04-21 01:12:16 EDT
Actually it already works in Fedora 21, both Fedora 21 and Fedora 22 Beta
have screen-4.2.1.

Note You need to log in before you can comment on or make changes to this bug.